Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.config
Class PlannerBenchmarkConfig

    java.lang.Object
      org.drools.planner.benchmark.config.PlannerBenchmarkConfig

    public class PlannerBenchmarkConfig

extends Object

Constructor Summary
`PlannerBenchmarkConfig()`

Method Summary
`PlannerBenchmark` | `buildPlannerBenchmark()`
`Long` | `calculateWarmUpTimeMillisSpendTotal()`
`File` | `getBenchmarkDirectory()`
`File` | `getBenchmarkInstanceDirectory()`
`SolverBenchmarkConfig` | `getInheritedSolverBenchmarkConfig()`
`File` | `getOutputSolutionFilesDirectory()`
`Comparator<SolverBenchmark>` | `getSolverBenchmarkComparator()`
`List<SolverBenchmarkConfig>` | `getSolverBenchmarkConfigList()`
`File` | `getStatisticDirectory()`
`Long` | `getWarmUpHoursSpend()`
`Long` | `getWarmUpMinutesSpend()`
`Long` | `getWarmUpSecondsSpend()`
`Long` | `getWarmUpTimeMillisSpend()`
`void` | `setBenchmarkDirectory(File benchmarkDirectory)`
`void` | `setBenchmarkInstanceDirectory(File benchmarkInstanceDirectory)`
`void` | `setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)`
`void` | `setOutputSolutionFilesDirectory(File outputSolutionFilesDirectory)`
`void` | `setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)`
`void` | `setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)`
`void` | `setStatisticDirectory(File statisticDirectory)`
`void` | `setWarmUpHoursSpend(Long warmUpHoursSpend)`
`void` | `setWarmUpMinutesSpend(Long warmUpMinutesSpend)`
`void` | `setWarmUpSecondsSpend(Long warmUpSecondsSpend)`
`void` | `setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerBenchmarkConfig

    public PlannerBenchmarkConfig()

Method Detail

### getBenchmarkDirectory

    public File getBenchmarkDirectory()

### setBenchmarkDirectory

    public void setBenchmarkDirectory(File benchmarkDirectory)

### getBenchmarkInstanceDirectory

    public File getBenchmarkInstanceDirectory()

### setBenchmarkInstanceDirectory

    public void setBenchmarkInstanceDirectory(File benchmarkInstanceDirectory)

### getOutputSolutionFilesDirectory

    public File getOutputSolutionFilesDirectory()

### setOutputSolutionFilesDirectory

    public void setOutputSolutionFilesDirectory(File outputSolutionFilesDirectory)

### getStatisticDirectory

    public File getStatisticDirectory()

### setStatisticDirectory

    public void setStatisticDirectory(File statisticDirectory)

### getSolverBenchmarkComparator

    public Comparator<SolverBenchmark> getSolverBenchmarkComparator()

### setSolverBenchmarkComparator

    public void setSolverBenchmarkComparator(Comparator<SolverBenchmark> solverBenchmarkComparator)

### getWarmUpTimeMillisSpend

    public Long getWarmUpTimeMillisSpend()

### setWarmUpTimeMillisSpend

    public void setWarmUpTimeMillisSpend(Long warmUpTimeMillisSpend)

### getWarmUpSecondsSpend

    public Long getWarmUpSecondsSpend()

### setWarmUpSecondsSpend

    public void setWarmUpSecondsSpend(Long warmUpSecondsSpend)

### getWarmUpMinutesSpend

    public Long getWarmUpMinutesSpend()

### setWarmUpMinutesSpend

    public void setWarmUpMinutesSpend(Long warmUpMinutesSpend)

### getWarmUpHoursSpend

    public Long getWarmUpHoursSpend()

### setWarmUpHoursSpend

    public void setWarmUpHoursSpend(Long warmUpHoursSpend)

### getInheritedSolverBenchmarkConfig

    public SolverBenchmarkConfig getInheritedSolverBenchmarkConfig()

### setInheritedSolverBenchmarkConfig

    public void setInheritedSolverBenchmarkConfig(SolverBenchmarkConfig inheritedSolverBenchmarkConfig)

### getSolverBenchmarkConfigList

    public List<SolverBenchmarkConfig> getSolverBenchmarkConfigList()

### setSolverBenchmarkConfigList

    public void setSolverBenchmarkConfigList(List<SolverBenchmarkConfig> solverBenchmarkConfigList)

### buildPlannerBenchmark

    public PlannerBenchmark buildPlannerBenchmark()

### calculateWarmUpTimeMillisSpendTotal

    public Long calculateWarmUpTimeMillisSpendTotal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.